RTKVersion (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0503.rtk.xml.unspec.RTKVersion class

### com.tucows.oxrs.epp0503.rtk.xml.unspec

# Class RTKVersion

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0503.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0503.rtk.xml.extension.RTKVersion`
      - - `com.tucows.oxrs.epp0503.rtk.xml.unspec.RTKVersion`

Implemented Interfaces:
  epp_Extension, epp_ExtensionOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class RTKVersion`
`extends RTKVersion`

This class is used to exchange RTK version number with the Registry.

Version:
  $Revision: 1.1 $ $Date: 2003/03/21 16:18:24 $

Author:
  Oleg Snegirev

See Also:
  `RTKVersion`

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0503.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Method Summary

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.xml.extension.RTKVersion
  `fromXML`, `getVersion`, `toXML`

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS